Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.session
Class PersistentManager

    java.lang.Object
      |
      +--org.apache.catalina.session.ManagerBase
            |
            +--org.apache.catalina.session.PersistentManagerBase
                  |
                  +--org.apache.catalina.session.PersistentManager

All Implemented Interfaces:
  java.util.EventListener, Lifecycle, Manager, java.beans.PropertyChangeListener, java.lang.Runnable

public final class PersistentManager
extends PersistentManagerBase

Implementation of the Manager interface that makes use of a Store to swap active Sessions to disk. It can be configured to achieve several different goals:

- Persist sessions across restarts of the Container
- Fault tolerance, keep sessions backed up on disk to allow recovery in the event of unplanned restarts.
- Limit the number of active sessions kept in memory by swapping less active sessions out to disk.

Version:
  $Revision: 1.10 $
Author:
  Kief Morris (kief@kief.com)

Field Summary
`protected static java.lang.String` | `name` The descriptive name of this Manager implementation (for logging).

Fields inherited from class org.apache.catalina.session.PersistentManagerBase
`lifecycle, threadDone`

Fields inherited from class org.apache.catalina.session.ManagerBase
`algorithm, container, debug, DEFAULT_ALGORITHM, digest, distributable, entropy, maxInactiveInterval, random, randomClass, recycled, SESSION_ID_BYTES, sessions, sm, support`

Fields inherited from interface org.apache.catalina.Lifecycle
`START_EVENT, STOP_EVENT`

Constructor Summary
`PersistentManager()`

Method Summary
`java.lang.String` | `getInfo()` Return descriptive information about this Manager implementation and the corresponding version number, in the format `<description>/<version>`.
`java.lang.String` | `getName()` Return the descriptive short name of this Manager implementation.

Methods inherited from class org.apache.catalina.session.PersistentManagerBase
`addLifecycleListener, clearStore, createSession, findSession, getCheckInterval, getMaxActiveSessions, getMaxIdleBackup, getMaxIdleSwap, getMinIdleSwap, getSaveOnRestart, getStore, isSessionStale, isStarted, load, processExpires, processMaxActiveSwaps, processMaxIdleBackups, processMaxIdleSwaps, processPersistenceChecks, propertyChange, remove, removeLifecycleListener, run, setCheckInterval, setContainer, setMaxActiveSessions, setMaxIdleBackup, setMaxIdleSwap, setMinIdleSwap, setSaveOnRestart, setStarted, setStore, start, stop, swapIn, swapOut, threadSleep, threadStart, threadStop, unload, writeSession`

Methods inherited from class org.apache.catalina.session.ManagerBase
`add, addPropertyChangeListener, findSessions, generateSessionId, getAlgorithm, getContainer, getDebug, getDigest, getDistributable, getEngine, getEntropy, getJvmRoute, getMaxInactiveInterval, getRandom, getRandomClass, removePropertyChangeListener, setAlgorithm, setDebug, setDistributable, setEntropy, setMaxInactiveInterval, setRandomClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected static java.lang.String name

  The descriptive name of this Manager implementation (for logging).

Constructor Detail

### PersistentManager

    public PersistentManager()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Manager implementation and the corresponding version number, in the format `<description>/<version>`.
  Overrides:
    `getInfo` in class `PersistentManagerBase`

### getName

    public java.lang.String getName()

  Return the descriptive short name of this Manager implementation.
  Overrides:
    `getName` in class `PersistentManagerBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.